<?php

/**
 * @file
 * Contains PageManagerSearchAccessControlHandler.
 */

namespace Drupal\page_manager_search\Entity;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Access control handler for the page manager search entity.
 *
 * @see \Drupal\page_manager_search\Entity\PageManagerSearch.
 */
class PageManagerSearchAccessControlHandler extends EntityAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  protected function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    if ($operation == 'view') {
      return AccessResult::allowedIfHasPermission($account, 'view page_manager_search entity');
    }
    return parent::checkAccess($entity, $operation, $account);
  }

}
